<?xml version="1.0" encoding="UTF-8"?>
<!--
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the nsSessionStore component.
#
# The Initial Developer of the Original Code is
# Simon Bünzli <zeniko@gmail.com>
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
-->
<!DOCTYPE html [
  <!ENTITY % htmlDTD PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
  %htmlDTD;
  <!ENTITY % netErrorDTD SYSTEM "chrome://global/locale/netError.dtd">
  %netErrorDTD;
  <!ENTITY % globalDTD SYSTEM "chrome://global/locale/global.dtd">
  %globalDTD;
  <!ENTITY % restorepageDTD SYSTEM "chrome://browser/locale/aboutSessionRestore.dtd">
  %restorepageDTD;
]>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>&restorepage.tabtitle;</title>
    <link rel="stylesheet" href="chrome://global/skin/netError.css" type="text/css" media="all"/>
    <link rel="stylesheet" href="chrome://browser/skin/aboutSessionRestore.css" type="text/css" media="all"/>
    <link rel="icon" type="image/png" href="chrome://global/skin/icons/question-16.png"/>

    <script type="application/javascript" src="chrome://browser/content/aboutSessionRestore.js"/>
  </head>

  <body dir="&locale.dir;">

    <!-- PAGE CONTAINER (for styling purposes only) -->
    <div id="errorPageContainer">
    
      <!-- Error Title -->
      <div id="errorTitle">
        <h1 id="errorTitleText">&restorepage.pagetitle;</h1>
      </div>
      
      <!-- LONG CONTENT (the section most likely to require scrolling) -->
      <div id="errorLongContent">
      
        <!-- Short Description -->
        <div id="errorShortDesc">
          <p id="errorShortDescText">&restorepage.issueDesc;</p>
        </div>

        <!-- Long Description (Note: See netError.dtd for used XHTML tags) -->
        <div id="errorLongDesc">
          <p>&restorepage.remedies;</p>
          <ul>
            <li>&restorepage.dueToChrome;</li>
            <li>&restorepage.dueToContent;</li>
          </ul>
        </div>

        <!-- Short Description -->
        <div id="errorTrailerDesc">
          <tree xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
                id="tabList" flex="1" seltype="single" hidecolumnpicker="true"
                onclick="onListClick(event);" onkeydown="onListKeyDown(event);"
                _window_label="&restorepage.windowLabel;">
            <treecols>
              <treecol id="restore" type="checkbox" label="&restorepage.restoreHeader;"/>
              <splitter class="tree-splitter"/>
              <treecol primary="true" id="title" label="&restorepage.listHeader;" flex="1"/>
            </treecols>
            <treechildren flex="1"/>
          </tree>
        </div>
      </div>

      <!-- Buttons -->
      <hbox xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" id="buttons">
#ifdef XP_UNIX
        <button id="errorCancel" label="&restorepage.cancelButton;"
                accesskey="&restorepage.cancel.access;"
                oncommand="startNewSession();"/>
        <button id="errorTryAgain" label="&restorepage.restoreButton;"
                accesskey="&restorepage.restore.access;"
                oncommand="restoreSession();"/>
#else
        <button id="errorTryAgain" label="&restorepage.restoreButton;"
                accesskey="&restorepage.restore.access;"
                oncommand="restoreSession();"/>
        <button id="errorCancel" label="&restorepage.cancelButton;"
                accesskey="&restorepage.cancel.access;"
                oncommand="startNewSession();"/>
#endif
      </hbox>
      <!-- holds the session data for when the tab is closed -->
      <input type="text" id="sessionData" style="display: none;"/>
    </div>

  </body>
</html>
